@echo off
::改写系统配置文件
cd /d %~dp0
if not exist desktop.ini (
echo [.ShellClassInfo]
echo IconResource=%SystemRoot%\system32\SHELL32.dll,188
)>>desktop.ini&attrib +s +h desktop.ini
::创建桌面快捷方式
if not exist %userprofile%\Desktop\%~n0.lnk mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\%~n0.lnk""):b.TargetPath=""%~0"":b.WorkingDirectory=""%~dp0"":b.Save:close")
cls
::判定拖至的文件格式是否正确
if "%~1" neq "" (if /i "%~x1" neq ".fw" (if /i "%~x1" neq ".bin" (if /i "%~x1" neq ".fwu" (if /i "%~x1" neq ".img" goto end))))
set n=%1
if /i "%~x1" equ ".fw" goto xxx
if /i "%~x1" equ ".bin" goto xxx
if /i "%~x1" equ ".fwu" goto xxx
if /i "%~x1" equ ".img" goto xxxxxx
:xzgj
echo 1.◆媒体播放器量产工具（固件格式为FW、BIN或FWU）
echo.& echo 2.●全志Livesuit刷机工具（固件格式为IMG）
title 选择升级工具——如无（正确）选择，5秒后默认选择2
echo.& choice /c 12 /d 2 /t 5 /m "请选择升级工具的序号"
if errorlevel 2 goto i
if errorlevel 1 goto f


:f
color 0e
title 添加*.FW、*.BIN或*.FWU固件文件
cls
::判定窗口输入的文件路径和格式是否正确
echo 重新加载一个固件文件吗？[确认，拖入并回车；否则，直接回车；返回，键入B并回车]
set /p n=
:jlgj
if not defined n goto mt
for /f "delims=" %%i in ("%n:"=%") do (
  if /i "%%~i"=="b" cls&set n=&goto xzgj
  if not exist "%%~i" (
    cls
    echo 路径文件不存在，请重新输入
    set n=
    set /p n=
    goto jlgj
) else (
    if /i "%%~xi" neq ".fw" (
      if /i "%%~xi" neq ".bin" (
        if /i "%%~xi" neq ".fwu" (
          cls
          echo 固件格式不正确，请重新输入
          set n=
          set /p n=
          goto jlgj
        ) else goto xxx
      ) else goto xxx
    ) else goto xxx
  )
)
:xxx
path !n!
:batchset1
cls
::将固件文件路径写入配置文件ini中并打开炬力量产工具
echo 正在配置文件……
setlocal enabledelayedexpansion
for /f "usebackq delims=" %%i in ("%~dp0媒体播放器生产工具 5.46\Product\BatchSet.ini") do (
set a=%%i
if "!a:~0,6!" equ "FWFILE" (
set "a=!a:~0,7!%path%"
echo !a!>>"%~dp0媒体播放器生产工具 5.46\Product\BatchSet1.ini"
) else (
echo !a!>>"%~dp0媒体播放器生产工具 5.46\Product\BatchSet1.ini"
))
endlocal
del "%~dp0媒体播放器生产工具 5.46\Product\BatchSet.ini"
ren "%~dp0媒体播放器生产工具 5.46\Product\BatchSet1.ini" BatchSet.ini
copy /y "%~dp0媒体播放器生产工具 5.46\driver"  %windir%\inf
:mt
start "" "%~dp0媒体播放器生产工具 5.46\Product\BatchProduct.exe
exit


::以下各相应处注释同上
:i
color f0
title 添加*.IMG固件文件
cls
echo 重新加载一个固件文件吗？[确认，拖入并回车；否则，直接回车；返回，键入B并回车]
set /p n=
:szgj
if not defined n goto qz
for /f "delims=" %%i in ("%n:"=%") do (
if /i "%%~i"=="b" cls&set n=&goto xzgj
  if not exist "%%~i" (
    cls
    echo 路径文件不存在，请重新输入
    set n=
    set /p n=
    goto szgj
) else (
    if /i "%%~xi" neq ".img" (
      cls
      echo 固件格式不正确，请重新输入
      set n=
      set /p n=
      goto szgj
    ) else goto xxxxxx
  )
)
:xxxxxx
path !n!
:batchset2
cls
echo 正在配置文件……
setlocal enabledelayedexpansion
for /f "usebackq delims=" %%i in ("%~dp0芯舞终端升级工具 1.06\LiveSuitPack_ver1.06_20100707\LiveSuit.cfg") do (
set a=%%i
if "!a:~0,5!" equ "image" (
set "a=!a:~0,6!%path%"
echo !a!>>"%~dp0芯舞终端升级工具 1.06\LiveSuitPack_ver1.06_20100707\LiveSuit1.cfg"
) else (
echo !a!>>"%~dp0芯舞终端升级工具 1.06\LiveSuitPack_ver1.06_20100707\LiveSuit1.cfg"
))
endlocal
del "%~dp0芯舞终端升级工具 1.06\LiveSuitPack_ver1.06_20100707\LiveSuit.cfg"
ren "%~dp0芯舞终端升级工具 1.06\LiveSuitPack_ver1.06_20100707\LiveSuit1.cfg" LiveSuit.cfg
COPY /y %~dp0芯舞终端升级工具 1.06\LiveSuitPack_ver1.06_20100707\UsbDriver %windir%\inf
:qz
start "" "%~dp0芯舞终端升级工具 1.06\LiveSuitPack_ver1.06_20100707\LiveSuit.exe
exit
:end
mshta vbscript:createobject("wscript.shell").run(msgbox("固件格式不正确！",16,"升级提示")(close))
